@import url('https://fonts.googleapis.com/css2?family=Lato:ital,wght@1,700&family=Poppins:wght@600&family=Raleway:ital,wght@0,100..900;1,100..900&display=swap');
body{
    padding:0;
    margin:0;
    font-family: "Poppins", "Lato","Raleway";
}

.container{
    display: grid;
    grid-template-columns: 1fr;
    height: 100vh;
}
.sidebar{
    background-color: #2D3748;
    content:"";
}
.content{
    background-color: #E2E8F0;
}
/* 

    sidebar section 

*/
/* selectboxes */
.logocontainer{
    background-color: #1A202C;
    color:white;
}
.sidebar{
    color:#A0AEC0
}
.acardeon{
    display: flex;
    flex-direction: column;
    gap:0.5em;
    margin:7px;
}
.smallacardeon{
    display: flex;
    flex-direction: row;
    flex-wrap:nowrap;
    gap:1em;
}

select{
    background-color: #4A5568;
    color:#fff;
    border-radius: 8px;
    padding:0.6em;
    box-sizing: content-box;
}
select option{
    padding:5px 3px
}
/* radio buttons */

.radioContainer{
    display: block;
    position:relative;
    padding-left: 35px;
    margin-bottom: 12px;
    cursor: pointer;
    font-size: 22px;
    user-select: none;
    -webkit-user-select: none;
    -moz-user-select:none;
    -ms-user-select: none;
}
.radioContainer input.theRadio{
    position:absolute;
    cursor:pointer;
    background-color: transparent;
    opacity: 0;
}
.theRadion{
    opacity: 0;
}
.checkmark{
    position: absolute;
    top:0;
    left:0;
    height: 25px;
    width:25px;
    background-color: #1A202C;
    border-radius: 50%;
}
.radioContainer:hover input ~ .checkmark {
    background-color: #1A202C;
}
.radioContainer input:checked ~ .checkmark {
    background-color: #667EEA;
}
.checkmark:after {
    content: "";
    position: absolute;
    display: none;
}
.radioContainer input:checked ~ .checkmark:after {
    display: block;
  }
.radioContainer .checkmark:after {
   top: 9px;
   left: 9px;
   width: 8px;
   height: 8px;
   border-radius: 50%;
   background: white;
}
/* checkpoint  */
.checkboxContainer{
    display: block;
    position:relative;
    padding-left:35px;
    margin-bottom: 12px;
    cursor:pointer;
    font-size:22px;
    user-select: none;
    -webkit-user-select:none;
    -moz-user-select:none;
    -ms-user-select: none;
}
.checkboxContainer input{
    position:absolute;
    opacity:0;
    cursor: pointer;
    height:0;
    width:0;
}
.multiCheckmark{
    position:absolute;
    top:0;
    left:0;
    height:25px;
    width:25px;
    background-color: #1A202C;
}
.checkboxContainer input:checked ~ .multiCheckmark{
    background-color: #667EEA;
    /* when user select it, background will be changed */
}
.checkboxContainer:after{
    content:"&#x2713;";
    position: absolute;
    display: none;
    /* checkmark indicator */
}
.checkboxContainer input:checked ~ .multiCheckmark:after{
    display: block !important;
    /* show checkmark when checked */
}

.checkboxContainer .multiCheckmark:after {
    left:9px;
    top:5px;
    width:5px;
    height: 10px;
    border:solid white;
    border-width: 0 3px 3px 0;
    transform: rotate(45deg);
    -webkit-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
}
.submitButton{
    background-color: #667EEA;
    color:white;
    width:70%;
    height:3rem;
    border-radius: 8px;
    margin:1rem auto;
    font-size:16px;
}
/* 
    Header Section
*/
.header{
    background-color: #fff;
    padding:0.8rem;
}
.headerElement{
    /* display: flex;
    flex-flow:row;
    flex-wrap:nowrap; */
    display: grid;
    grid-template-columns: repeat(2,1fr);
}
.searchContainer{
    display: flex;
    align-items: center;
    margin-left:16px
}
.searchContainer form{
    /* margin:auto; */
    max-width: 280px;
    height: 40px;
}

form.example input[type=search] {
    padding:10px;
    font-size: 17px;
    border:1px solid grey;
    float:left;
    width:80%;
    background: #EDF2F7;
    border-left: none;
    border-radius:0 8px 8px 0
}
form.example input[type=search]:focus{
    outline: none;
}
form.example button {
  float: left;
  width: 20%;
  padding: 10px;
  background: #EDF2F7;
  color: #718096;
  font-size: 17px;
  border: 1px solid grey;
  border-left: none;
  cursor: pointer;
  border-right:none;
  border-left:1px solid grey;
  border-radius:8px 0 0 8px;
}
form.example button:hover {
    background: #EDF2F7;
}
form.example::after {
    content:"";
    clear:both;
    display: table;
}
.menuOptions{
    display: flex;
    flex-flow:row;
    flex-wrap: nowrap;
    justify-content: flex-end;
}
.menuOptions li{
    list-style-type: none;
    padding-right:1.4rem;
}
.menuOptions a{
    text-decoration: none;
    color:#1A202C;
}
.menuOptions a:focus, .menuOptions a:hover{
    color:#5A67D8;
}
/* main content section */
.main .contentContainer{
    margin-top:1em;
    display: flex; 
    justify-content: center;
}
.main .contentContainer .topInfoContainer{
    width:80%;
    display: flex; 
    flex-flow: row; 
    justify-content: space-between;
    font:Graphik;
}
.rightInto h2{
    font-size:20px;
    line-height: 21.19px;
    color:#1A202C;
}
.rightInto h6{
    color: #718096;
    font-size:16px;
    line-height: 17.52px;
    font-family:"Lato";
    margin:1rem 0;
}
.leftInto{
    display: flex; 
    align-items: center;
}
.leftInto a{
    text-decoration: none;
    font-size:14px;
    color:#5A67D8;
    transition:color .42s;
}
.leftInto a:hover{
    color:#1A202C
}
/* offer cards on their owns */
.houseContainer{
    display: grid;
    grid-template-columns: repeat(3,1fr);
    gap:10px;
}
.singleHouse{
    box-shadow: rgba(0, 0, 0, 0.15) 1.95px 1.95px 2.6px;
    border-radius:8px;
    width:300px;
    height: 364px;
}
.singleHouse img{
    border-radius:8px 8px 0 0;
    width:100%;
    max-height: 200px;
}
.singleCardTextContainer{
    margin-left:20px;
    margin-top:16px
}
.singleCardTextContainer .advertisement{
    display: flex;
    flex-flow:row;
    flex-wrap: wrap;
}
.advertisement .classType{
    color:#285E61;
    background-color: #B2F5EA;
    font-size: 12px;
    padding:1px 12px;
    box-sizing:border-box;
    border-radius:18px;
}
.advertisement .typeOfHouse,
.advertisement .numberOfBeds{
    font-size:12px;
    color:#718096;
    margin-left:5px;
}
.fa-star{
    color:#CBD5E0;
}
.checked{
    color:#38B2AC;
}
.singleHouse .topic{
    font-size:18px;
    color:#1A202C;
    margin-top:15px;
}
@media screen and (min-width:1024px){
    .container{
        grid-template-columns: 2fr 6fr;
    }
    .radionoption,.multiselectcheck {
        margin-left: 1.2em;
    }
}
@media screen and (max-width:760px){
    .radionoption,.multiselectcheck{
        display: flex;
        flex-direction: row;
        flex-wrap:wrap;
    }
    .radionoption p,.multiselectcheck p{
        width: 100%;
    }
    .houseContainer{
        display: grid;
        grid-template-columns: repeat(1,1fr);
        gap:20px;
    }
}
/* source to the figma page
https://www.figma.com/file/0R87OzjK3c0bjNbxbdOVwm/tailwind-project?type=design&node-id=41-289&mode=design&t=FjX6mYjXe3mgGima-0
 */